signature SERVER =
sig

	exception KillRobot
(*
	datatype event = MoveEvent of Common.dir | DropEvent of Common.packid
	  | PickEvent of Common.packid | AppearEvent of Common.loc

	type response = (Common.robotid * event list) list
	val step : world -> (world * response)
	val get_cmd : robot -> Common.cmd
	val find_packages : world -> (robot * Common.package list) list
	val send_packages : robot * Common.package list -> unit
	val send_response : robot * response -> unit
	val send_init : robot * world -> unit
*)
        val stringify_board : Types.world -> string

	val go : string -> int -> int -> int -> int -> unit
end
