structure Common =
struct
	type robotid = int
	type packid = int
	type loc = int * int
	type package = packid * int * loc option * loc (* id, weight, src, dst *)
	datatype spot = WALL | WATER | BASE | EMPTY
	datatype dir = NN | EE | SS | WW
	datatype action = Move of dir | Drop of packid list | Pick of packid list
	type cmd = int * action
end